xfstests: fix common source file path

After the re-factor, common.* have been renamed to common/* but there
are several files still look for the old path, fix it.

Signed-off-by: Eryu Guan <eguan@redhat.com>
Reviewed-by: Rich Johnston <rjohnston@sgi.com>
Signed-off-by: Rich Johnston <rjohnston@sgi.com>
This commit is contained in:
Eryu Guan
2013-03-29 04:49:55 +00:00
committed by Rich Johnston
parent 0edeaaab2a
commit 8575764a79
11 changed files with 27 additions and 27 deletions
+3 -3
View File
@@ -65,7 +65,7 @@ Preparing system for tests (IRIX and Linux):
environment variable set to "yes" will enable their use. environment variable set to "yes" will enable their use.
- setenv DIFF_LENGTH "number of diff lines to print from a failed test", - setenv DIFF_LENGTH "number of diff lines to print from a failed test",
by default 10, set to 0 to print the full diff by default 10, set to 0 to print the full diff
- or add a case to the switch in common.config assigning - or add a case to the switch in common/config assigning
these variables based on the hostname of your test these variables based on the hostname of your test
machine machine
- or add these variables to a file called local.config and keep that - or add these variables to a file called local.config and keep that
@@ -113,7 +113,7 @@ Test script environment:
When developing a new test script keep the following things in When developing a new test script keep the following things in
mind. All of the environment variables and shell procedures are mind. All of the environment variables and shell procedures are
available to the script once the "common.rc" file has been available to the script once the "common/rc" file has been
sourced. sourced.
1. The tests are run from an arbitrary directory. If you want to 1. The tests are run from an arbitrary directory. If you want to
@@ -166,7 +166,7 @@ Test script environment:
_within_tolerance - fancy numerical "close enough is good _within_tolerance - fancy numerical "close enough is good
enough" filter for deterministic enough" filter for deterministic
output ... see comments in output ... see comments in
common.filter for an explanation common/filter for an explanation
_filter_date - turn ctime(3) format dates into the _filter_date - turn ctime(3) format dates into the
string DATE for deterministic string DATE for deterministic
+1 -1
View File
@@ -50,7 +50,7 @@ timestamp=${TIMESTAMP:=false}
rm -f $tmp.list $tmp.tmp $tmp.grep $here/$iam.out $tmp.xlist rm -f $tmp.list $tmp.tmp $tmp.grep $here/$iam.out $tmp.xlist
# we need common.config # we need common/config
if ! . ./common/config if ! . ./common/config
then then
echo "$iam: failed to source common/config" echo "$iam: failed to source common/config"
+5 -5
View File
@@ -241,12 +241,12 @@ fi
echo $TEST_DEV | grep -q ":" > /dev/null 2>&1 echo $TEST_DEV | grep -q ":" > /dev/null 2>&1
if [ ! -b "$TEST_DEV" -a "$?" != "0" ]; then if [ ! -b "$TEST_DEV" -a "$?" != "0" ]; then
echo "common.config: Error: \$TEST_DEV ($TEST_DEV) is not a block device or a NFS filesystem" echo "common/config: Error: \$TEST_DEV ($TEST_DEV) is not a block device or a NFS filesystem"
exit 1 exit 1
fi fi
if [ ! -d "$TEST_DIR" ]; then if [ ! -d "$TEST_DIR" ]; then
echo "common.config: Error: \$TEST_DIR ($TEST_DIR) is not a directory" echo "common/config: Error: \$TEST_DIR ($TEST_DIR) is not a directory"
exit 1 exit 1
fi fi
@@ -254,7 +254,7 @@ fi
# to SCRATCH_DEV and rest to SCRATCH_DEV_POOL to maintain the backward compatibility # to SCRATCH_DEV and rest to SCRATCH_DEV_POOL to maintain the backward compatibility
if [ ! -z "$SCRATCH_DEV_POOL" ]; then if [ ! -z "$SCRATCH_DEV_POOL" ]; then
if [ ! -z "$SCRATCH_DEV" ]; then if [ ! -z "$SCRATCH_DEV" ]; then
echo "common.config: Error: \$SCRATCH_DEV should be unset when \$SCRATCH_DEV_POOL is set" echo "common/config: Error: \$SCRATCH_DEV should be unset when \$SCRATCH_DEV_POOL is set"
exit 1 exit 1
fi fi
SCRATCH_DEV=`echo $SCRATCH_DEV_POOL | awk '{print $1}'` SCRATCH_DEV=`echo $SCRATCH_DEV_POOL | awk '{print $1}'`
@@ -263,12 +263,12 @@ fi
echo $SCRATCH_DEV | grep -q ":" > /dev/null 2>&1 echo $SCRATCH_DEV | grep -q ":" > /dev/null 2>&1
if [ ! -z "$SCRATCH_DEV" -a ! -b "$SCRATCH_DEV" -a "$?" != "0" ]; then if [ ! -z "$SCRATCH_DEV" -a ! -b "$SCRATCH_DEV" -a "$?" != "0" ]; then
echo "common.config: Error: \$SCRATCH_DEV ($SCRATCH_DEV) is not a block device or a NFS filesystem" echo "common/config: Error: \$SCRATCH_DEV ($SCRATCH_DEV) is not a block device or a NFS filesystem"
exit 1 exit 1
fi fi
if [ ! -z "$SCRATCH_MNT" -a ! -d "$SCRATCH_MNT" ]; then if [ ! -z "$SCRATCH_MNT" -a ! -d "$SCRATCH_MNT" ]; then
echo "common.config: Error: \$SCRATCH_MNT ($SCRATCH_MNT) is not a directory" echo "common/config: Error: \$SCRATCH_MNT ($SCRATCH_MNT) is not a directory"
exit 1 exit 1
fi fi
+2 -2
View File
@@ -973,7 +973,7 @@ _parse_dump_args()
shift shift
;; ;;
*) *)
_fail "invalid argument to common.dump function: $1" _fail "invalid argument to common/dump function: $1"
;; ;;
esac esac
shift shift
@@ -1018,7 +1018,7 @@ _parse_restore_args()
restore_args="$restore_args $1" restore_args="$restore_args $1"
;; ;;
*) *)
_fail "invalid argument to common.dump function: $1" _fail "invalid argument to common/dump function: $1"
;; ;;
esac esac
shift shift
+1 -1
View File
@@ -1,6 +1,6 @@
# Filters for btrfs command output # Filters for btrfs command output
. ./common.filter.btrfs . ./common/filter.btrfs
# Some, but not all, commands emit "Btrfs <version>" # Some, but not all, commands emit "Btrfs <version>"
_filter_btrfs_version() _filter_btrfs_version()
+6 -6
View File
@@ -151,12 +151,12 @@ _fsck_opts()
[ -z "$FSCK_OPTIONS" ] && _fsck_opts [ -z "$FSCK_OPTIONS" ] && _fsck_opts
# we need common.config # we need common/config
if [ "$iam" != "check" ] if [ "$iam" != "check" ]
then then
if ! . ./common/config if ! . ./common/config
then then
echo "$iam: failed to source common.config" echo "$iam: failed to source common/config"
exit 1 exit 1
fi fi
fi fi
@@ -2065,7 +2065,7 @@ then
if [ "$TEST_DEV" = "" ] if [ "$TEST_DEV" = "" ]
then then
echo "common.rc: Error: \$TEST_DEV is not set" echo "common/rc: Error: \$TEST_DEV is not set"
exit 1 exit 1
fi fi
@@ -2075,11 +2075,11 @@ then
# $TEST_DEV is not mounted # $TEST_DEV is not mounted
if ! _test_mount if ! _test_mount
then then
echo "common.rc: retrying test device mount with external set" echo "common/rc: retrying test device mount with external set"
[ "$USE_EXTERNAL" != "yes" ] && export USE_EXTERNAL=yes [ "$USE_EXTERNAL" != "yes" ] && export USE_EXTERNAL=yes
if ! _test_mount if ! _test_mount
then then
echo "common.rc: could not mount $TEST_DEV on $TEST_DIR" echo "common/rc: could not mount $TEST_DEV on $TEST_DIR"
exit 1 exit 1
fi fi
fi fi
@@ -2087,7 +2087,7 @@ then
if [ "`_fs_type $TEST_DEV`" != "$FSTYP" ] if [ "`_fs_type $TEST_DEV`" != "$FSTYP" ]
then then
echo "common.rc: Error: \$TEST_DEV ($TEST_DEV) is not a MOUNTED $FSTYP filesystem" echo "common/rc: Error: \$TEST_DEV ($TEST_DEV) is not a MOUNTED $FSTYP filesystem"
$DF_PROG $TEST_DEV $DF_PROG $TEST_DEV
exit 1 exit 1
fi fi
+3 -3
View File
@@ -23,7 +23,7 @@
# generic initialization # generic initialization
iam=new iam=new
. ./common.rc . ./common/rc
trap "rm -f /tmp/$$.; exit" 0 1 2 3 15 trap "rm -f /tmp/$$.; exit" 0 1 2 3 15
@@ -121,8 +121,8 @@ _cleanup()
} }
# get standard environment, filters and checks # get standard environment, filters and checks
. ./common.rc . ./common/rc
. ./common.filter . ./common/filter
# real QA test starts here # real QA test starts here
+2 -2
View File
@@ -15,9 +15,9 @@
# along with this program; if not, write the Free Software Foundation, # along with this program; if not, write the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
# #
if ! . ./common.config if ! . ./common/config
then then
echo "check: failed to source common.config" echo "check: failed to source common/config"
exit 1 exit 1
fi fi
+2 -2
View File
@@ -19,8 +19,8 @@
# #
# get standard environment, filters and checks # get standard environment, filters and checks
. ./common.rc . ./common/rc
. ./common.filter . ./common/filter
tmp=/tmp/$$ tmp=/tmp/$$
seq=soak seq=soak
+1 -1
View File
@@ -4,7 +4,7 @@ ______________________ ______________
- pick/create a user to run auto-qa and check they - pick/create a user to run auto-qa and check they
can use ptools to check out of the tree can use ptools to check out of the tree
- add your host to xfstests/common.config and check this file in - add your host to xfstests/common/config and check this file in
OR create a local.config file in your xfstests directory OR create a local.config file in your xfstests directory
- make a directory "$HOME/qa" - make a directory "$HOME/qa"
- make a kernel workarea "$HOME/qa/2.4.x-xfs" for 2.4.x-xfs - make a kernel workarea "$HOME/qa/2.4.x-xfs" for 2.4.x-xfs
+1 -1
View File
@@ -86,7 +86,7 @@ STATE=$ROOT/qa.state
QADIR="$WORKAREA/xfstests" QADIR="$WORKAREA/xfstests"
SUDO="su -c" SUDO="su -c"
CONFIG="$ROOT/$HOST.config" CONFIG="$ROOT/$HOST.config"
COMMON_CONFIG="$QADIR/common.config" COMMON_CONFIG="$QADIR/common/config"
SH="/bin/sh" SH="/bin/sh"
LOG="$ROOT/qa.log" LOG="$ROOT/qa.log"